curl -X POST 'https://foodsoul.pro/api/crm/v2/pickup.update?branch_id=8778' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: ro' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":4839,"name":"Pickup point","address":"Kaliningrad, Klinicheskaya st. 19","operator_id":7109,"minimum_order_amount":200,"preparation_time":60,"other_preparation_time_enabled":true,"other_preparation_time":90,"other_preparation_time_periods":"00:00 - 23:59","other_minimum_order_amount_enabled":true,"other_minimum_order_amount":300,"other_minimum_order_amount_periods":"00:00 - 23:59","other_minimum_order_amount_days":[1,2,3],"timework":"00:00 - 23:59","day_time":["00:00 - 23:59"],"latitude":58.6041384959,"longitude":49.6677405531}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.pro/api/crm/v2/pickup.update?branch_id=8778', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'ro',
'role' => 'partner',
],
'json' => [
'id' => 4839,
'name' => 'Pickup point',
'address' => 'Kaliningrad, Klinicheskaya st. 19',
'operator_id' => 7109,
'minimum_order_amount' => 200,
'preparation_time' => 60,
'other_preparation_time_enabled' => true,
'other_preparation_time' => 90,
'other_preparation_time_periods' => '00:00 - 23:59',
'other_minimum_order_amount_enabled' => true,
'other_minimum_order_amount' => 300,
'other_minimum_order_amount_periods' => '00:00 - 23:59',
'other_minimum_order_amount_days' => [
1,
2,
3,
],
'timework' => '00:00 - 23:59',
'day_time' => [
'00:00 - 23:59',
],
'latitude' => 58.6041384959,
'longitude' => 49.6677405531,
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/pickup.update?branch_id=8778", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "ro",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": 4839,
"name": "Pickup point",
"address": "Kaliningrad, Klinicheskaya st. 19",
"operator_id": 7109,
"minimum_order_amount": 200,
"preparation_time": 60,
"other_preparation_time_enabled": true,
"other_preparation_time": 90,
"other_preparation_time_periods": "00:00 - 23:59",
"other_minimum_order_amount_enabled": true,
"other_minimum_order_amount": 300,
"other_minimum_order_amount_periods": "00:00 - 23:59",
"other_minimum_order_amount_days": [
1,
2,
3
],
"timework": "00:00 - 23:59",
"day_time": [
"00:00 - 23:59"
],
"latitude": 58.6041384959,
"longitude": 49.6677405531
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.pro/api/crm/v2/pickup.update?branch_id=8778",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "ro",
"role": "partner",
},
json={
"id": 4839,
"name": "Pickup point",
"address": "Kaliningrad, Klinicheskaya st. 19",
"operator_id": 7109,
"minimum_order_amount": 200,
"preparation_time": 60,
"other_preparation_time_enabled": True,
"other_preparation_time": 90,
"other_preparation_time_periods": "00:00 - 23:59",
"other_minimum_order_amount_enabled": True,
"other_minimum_order_amount": 300,
"other_minimum_order_amount_periods": "00:00 - 23:59",
"other_minimum_order_amount_days": [
1,
2,
3,
],
"timework": "00:00 - 23:59",
"day_time": [
"00:00 - 23:59",
],
"latitude": 58.6041384959,
"longitude": 49.6677405531,
},
)
data = response.json()
Răspuns 200
{
"status": "success",
"data": {}
}
Solicitările sunt trimise către foodsoul.pro — acesta este gazda acestui portal, nu se poate alege alta.